https://pulumi.com logo
#general
Title
# general
w

worried-city-86458

10/19/2019, 12:51 AM
I've updated to latest everything and hit my first hang issue (during preview) running
pulumi up
with no significiant changes Ubuntu 18.04.3, nodejs 12.11.1, @pulumi/pulumi 1.3.4, @pulumi/aws 1.7.0, @pulumi/kubernetes 1.2.3 Not sure but is the hang issue supposed to be fixed now?
w

white-balloon-205

10/19/2019, 3:47 AM
Do you also have a new CLI (>=1.3.2)? I believe you need both that and the new packages.
w

worried-city-86458

10/19/2019, 4:25 AM
Yes. 1.3.4 in a docker image.
I also cleaned
node_modules
to no avail
w

white-balloon-205

10/19/2019, 4:37 AM
Does you package-lock.json include references to any earlier versions of Pulumi/Pulumi? (Or could you share it).
w

worried-city-86458

10/19/2019, 8:09 AM
No, I use yarn resolutions to force all dependencies to use the same version of Pulumi/Pulumi.
I’ll post my lock file when I’m on the computer tomorrow
I’ll capture a trace as well. Where should I send it?
w

white-balloon-205

10/19/2019, 6:46 PM
Feel free to DM me - or if you confirm it has no sensitive data - share directly in a new issue on GitHub.